local function OnTooltipSetItem(tooltip, data)
    if tooltip == GameTooltip then
		local _, link = tooltip:GetItem();
		if (link ~= nil) then
			local _, _, _, _, _, sType, sSubType, itemStackCount = GetItemInfo(link);
			if (sSubType == nil) then
				tooltip:AddDoubleLine(sType, itemStackCount, 1, 0.82, 0, 1, 1, 1);
			else
				tooltip:AddDoubleLine(sType .. " " .. sSubType, "Max " .. itemStackCount, 1, 0.82, 0, 1, 1, 1);
			end
		end
    end
end

TooltipDataProcessor.AddTooltipPostCall(Enum.TooltipDataType.Item, OnTooltipSetItem)
